Last Comment Bug 658939 - e10s HTTP: not calling on-examine-response observers
: e10s HTTP: not calling on-examine-response observers
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: HTTP (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Jason Duell [:jduell] (needinfo? me)
:
Mentors:
Depends on:
Blocks: 646373
  Show dependency treegraph
 
Reported: 2011-05-22 21:33 PDT by watcher email
Modified: 2011-05-24 02:44 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.04 KB, patch)
2011-05-22 21:35 PDT, Jason Duell [:jduell] (needinfo? me)
cbiesinger: review+
Details | Diff | Review

Description watcher email 2011-05-22 21:33:45 PDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:2.0b13pre) Gecko/20110318 Firefox/4.0b13pre
Build Identifier: 

One line fix.

Reproducible: Always
Comment 1 Jason Duell [:jduell] (needinfo? me) 2011-05-22 21:35:55 PDT
Created attachment 534364 [details] [diff] [review]
fix
Comment 2 Christian :Biesinger (don't email me, ping me on IRC) 2011-05-22 21:40:02 PDT
Comment on attachment 534364 [details] [diff] [review]
fix

seems fine. child listeners won't be able to mess with the cookie header and have it take effect but that seems fine.
Comment 3 Jason Duell [:jduell] (needinfo? me) 2011-05-22 23:51:18 PDT
cc-ing cookies "usual suspects" in case they have opinions:

> child listeners won't be able to mess with the cookie header and have 
> it take effect but that seems fine

Some more details.  In the parent, on-examine-response observers are called before cookies get parsed, so they can remove/tweak cookies.  This patch calls on-examine-response observers in the child after that, so they wouldn't have the same opportunity.

This could in theory be fixed, by sending IPC traffic and having the child notify the observers (and ship back any channel header changes made back to the parent) before parsing the cookies.  The cost would be an IPDL round trip, which sucks a bit given that this is the uncommon case, but we'd incur it for all traffic.
Comment 4 Christian :Biesinger (don't email me, ping me on IRC) 2011-05-23 23:37:02 PDT
http://hg.mozilla.org/mozilla-central/rev/5ea92972f52c

Note You need to log in before you can comment on or make changes to this bug.